%define name xsession-berry
%define version 0.14
%define release b1

Name:		%{name}
Summary:	Automatic Xsession Startup Script for BERRY
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Automatic Xsession Startup Script for BERRY


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/etc/init.d
install -m 755 xsession %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/X11/xinit/xinitrc.d/
install -m 755 xdesktop %{buildroot}/etc/X11/xinit/xinitrc.d/


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/etc/init.d/xsession
/etc/X11/xinit/xinitrc.d/xdesktop


##
## change log
##

%changelog
* Fri Nov 21 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use UTF-8
- Added "Network", "Document", "Print Status"
* Mon Oct 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use mkdiscicons
* Mon Oct 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added xdesktop
* Wed Aug 6 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed /dev/discs/disc?/part? to /dev/hd[a-z][0-9] in KDE Desktop HD
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to xsession-initscript-knoppix_0.5-9.tar.gz
* Wed Apr 23 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up
* Fri Apr 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/)
- xsession-initscript-knoppix_0.5-7.tar.gz
